/*
 * Copyright (C) 2004 emuWorks
 * http://games.technoplaza.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _CHTFRAME_H
#define _CHTFRAME_H

#include "chttextcontrol.hh"

#include <wx/frame.h>
#include <wx/string.h>
#include <wx/gdicmn.h>
#include <wx/event.h>
#include <wx/menu.h>
#include <wx/filedlg.h>

enum CHTFRAME_MENU_IDS {
    IDM_FILE_OPEN = 100,
    IDM_FILE_SAVE,
    IDM_FILE_EXIT,
    IDM_HELP_ABOUT = 200
};

class CHTFrame : public wxFrame {
public:
    CHTFrame(const wxString&, const wxPoint&, const wxSize&);
    
    void OnOpen(wxCommandEvent&);
    void OnSave(wxCommandEvent&);
    void OnExit(wxCommandEvent&);
    void OnAbout(wxCommandEvent&);
    
    DECLARE_EVENT_TABLE()

private:
    // the menu
    wxMenuBar *menuBar;
    wxMenu *fileMenu;
    wxMenu *helpMenu;
    
    // the .CHT display (text control)
    CHTTextControl *chtText;
    
    // the file dialog
    wxFileDialog *fileDialog;
};

#endif

